<nav class="navbar navbar-expand-lg navbar-dark bg-dark shadow-sm"> <?php // Renk ve stil güncellendi ?>
    <div class="container">
        <a class="navbar-brand fw-bold" href="index.php">
            <i class="bi bi-shop me-2"></i>ESNAF YÖNETİM
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item">
                    <a class="nav-link <?= basename($_SERVER['PHP_SELF']) == 'index.php' ? 'active' : '' ?>" href="index.php">
                        <i class="bi bi-house-door me-1"></i> Ana Sayfa
                    </a>
                </li>
                 <li class="nav-item dropdown"> <?php // İşlemler menüsü ?>
                    <a class="nav-link dropdown-toggle <?= in_array(basename($_SERVER['PHP_SELF']), ['satis.php', 'alis.php', 'odeme_al.php', 'odeme_yap.php', 'transfer_ekle.php']) ? 'active' : '' ?>" href="#" id="navbarDropdownIslemler" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        <i class="bi bi-receipt-cutoff me-1"></i> İşlemler
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdownIslemler">
                        <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'satis.php' ? 'active' : '' ?>" href="satis.php"><i class="bi bi-cart-plus me-2"></i>Satış Yap</a></li>
                        <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'alis.php' ? 'active' : '' ?>" href="alis.php"><i class="bi bi-bag-plus me-2"></i>Alış Yap</a></li>
                        <li><hr class="dropdown-divider"></li>
                        <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'odeme_al.php' ? 'active' : '' ?>" href="odeme_al.php"><i class="bi bi-arrow-down-circle me-2"></i>Ödeme Al (Tahsilat)</a></li>
                        <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'odeme_yap.php' ? 'active' : '' ?>" href="odeme_yap.php"><i class="bi bi-arrow-up-circle me-2"></i>Ödeme Yap</a></li>
                         <li><hr class="dropdown-divider"></li>
                        <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'transfer_ekle.php' ? 'active' : '' ?>" href="transfer_ekle.php"><i class="bi bi-arrow-left-right me-2"></i>Hesaplar Arası Transfer</a></li>
                    </ul>
                </li>
                <li class="nav-item">
                    <a class="nav-link <?= basename($_SERVER['PHP_SELF']) == 'cariler.php' ? 'active' : '' ?>" href="cariler.php">
                        <i class="bi bi-people me-1"></i> Cariler
                    </a>
                </li>
                 <li class="nav-item">
                    <a class="nav-link <?= basename($_SERVER['PHP_SELF']) == 'hesaplar.php' ? 'active' : '' ?>" href="hesaplar.php">
                        <i class="bi bi-wallet2 me-1"></i> Hesaplar
                    </a>
                </li>
                 <li class="nav-item">
                    <a class="nav-link <?= basename($_SERVER['PHP_SELF']) == 'kategoriler.php' ? 'active' : '' ?>" href="kategoriler.php">
                        <i class="bi bi-tags me-1"></i> Kategoriler
                    </a>
                </li>
                 <li class="nav-item dropdown"> <?php // Raporlar menüsü ?>
                    <a class="nav-link dropdown-toggle <?= in_array(basename($_SERVER['PHP_SELF']), ['hesap_hareketleri.php', 'raporlar.php', 'cari_ekstre.php']) ? 'active' : '' ?>" href="#" id="navbarDropdownRaporlar" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                       <i class="bi bi-clipboard-data me-1"></i> Raporlar
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdownRaporlar">
                        <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'hesap_hareketleri.php' ? 'active' : '' ?>" href="hesap_hareketleri.php"><i class="bi bi-list-ol me-2"></i>Hesap Hareketleri</a></li>
                         <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'cari_ekstre.php' ? 'active' : '' ?>" href="cari_ekstre.php"><i class="bi bi-person-lines-fill me-2"></i>Cari Ekstre</a></li> <?php // Yeni ekstre sayfası ?>
                        <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'raporlar.php' ? 'active' : '' ?>" href="raporlar.php"><i class="bi bi-pie-chart me-2"></i>Özet Raporlar</a></li>
                    </ul>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle <?= in_array(basename($_SERVER['PHP_SELF']), ['arama.php', 'toplu_islem.php', 'hatirlatici.php']) ? 'active' : '' ?>" href="#" id="navbarDropdownAraclar" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                       <i class="bi bi-tools me-1"></i> Araçlar
                    </a>
                    <ul class="dropdown-menu" aria-labelledby="navbarDropdownAraclar">
                        <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'arama.php' ? 'active' : '' ?>" href="arama.php"><i class="bi bi-search me-2"></i>Arama</a></li>
                        <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'toplu_islem.php' ? 'active' : '' ?>" href="toplu_islem.php"><i class="bi bi-collection me-2"></i>Toplu İşlemler</a></li>
                        <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'hatirlatici.php' ? 'active' : '' ?>" href="hatirlatici.php"><i class="bi bi-bell me-2"></i>Hatırlatıcılar</a></li>
                    </ul>
                </li>
                 <?php /* Kaldırılan veya birleştirilen eski linkler
                 <li class="nav-item">
                    <a class="nav-link fw-bold <?= basename($_SERVER['PHP_SELF']) == 'borc_ekle.php' ? 'active' : '' ?>" href="borc_ekle.php">
                        <i class="bi bi-file-earmark-minus"></i> Alacak
                    </a>
                </li>
                 <li class="nav-item">
                    <a class="nav-link fw-bold <?= basename($_SERVER['PHP_SELF']) == 'tahsilat_ekle.php' ? 'active' : '' ?>" href="tahsilat_ekle.php">
                        <i class="bi bi-cash-stack"></i> Tahsilat
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link fw-bold <?= basename($_SERVER['PHP_SELF']) == 'islemler.php' ? 'active' : '' ?>" href="islemler.php">
                        <i class="bi bi-arrow-left-right"></i> hh
                    </a>
                </li>
                 */ ?>
            </ul>
            <ul class="navbar-nav ms-auto mb-2 mb-lg-0"> <?php // Sağ taraf için ms-auto ?>
                 <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownUser" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                        <i class="bi bi-person-circle me-1"></i> <?= isset($_SESSION['ad_soyad']) ? temizle($_SESSION['ad_soyad']) : 'Kullanıcı' ?>
                    </a>
                    <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdownUser"> <?php // Sağdan açılır ?>
                        <li><a class="dropdown-item <?= basename($_SERVER['PHP_SELF']) == 'profil.php' ? 'active' : '' ?>" href="profil.php"><i class="bi bi-person-gear me-2"></i>Profilim</a></li>
                        <li><hr class="dropdown-divider"></li>
                        <li><a class="dropdown-item" href="cikis.php"><i class="bi bi-box-arrow-right me-2"></i>Çıkış Yap</a></li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</nav>
<?php
// Session mesajlarını göster (Bootstrap Alert ile)
if (isset($_SESSION['mesaj'])) {
    echo '<div class="container mt-3"><div class="alert alert-success alert-dismissible fade show" role="alert">' .
         '<i class="bi bi-check-circle-fill me-2"></i>' . temizle($_SESSION['mesaj']) .
         '<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>' .
         '</div></div>';
    unset($_SESSION['mesaj']);
}
if (isset($_SESSION['hata'])) {
     echo '<div class="container mt-3"><div class="alert alert-danger alert-dismissible fade show" role="alert">' .
         '<i class="bi bi-exclamation-triangle-fill me-2"></i>' . temizle($_SESSION['hata']) .
         '<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>' .
         '</div></div>';
    unset($_SESSION['hata']);
}
?>
<br />